ui.controller

## Class GlobalController

- java.lang.Object
- - ui.controller.GlobalController

-     public class GlobalController
      extends java.lang.Object

  Controller for the Global Variables.
  Author:
    Gruppe14

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GlobalController(Model model)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getNumbersOfSaves()` Returns numberOfSaves.
    `int` | `getScale()` Returns SCALE.
    `int` | `getScaleDiv2()` Returns SCALE Divided by 2.
    `void` | `setCurIteration(int curit)` sets the current Iteration.
    `void` | `setIsSimulation(boolean b)` Set isSimulation.
    `void` | `setNumberOfSaves(int numberofSaves)` sets the max number of autosaves.
    `void` | `setScale(int s)` Changes the value of SCALE and SCALEDIV2.
    `void` | `setTimerSpeed(int t)` Set the timerSpeed.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GlobalController

          public GlobalController(Model model)

      Constructor.
      Parameters:
        `model` - the Model

  - ### Method Detail

    - #### getScale

          public int getScale()

      Returns SCALE.
      Returns:
        SCALE

    - #### getScaleDiv2

          public int getScaleDiv2()

      Returns SCALE Divided by 2.
      Returns:
        SCALE Divided by 2

    - #### setScale

          public void setScale(int s)

      Changes the value of SCALE and SCALEDIV2.
      Parameters:
        `s` - Scale

    - #### setCurIteration

          public void setCurIteration(int curit)

      sets the current Iteration.
      Parameters:
        `curit` - the current Iteration

    - #### getNumbersOfSaves

          public int getNumbersOfSaves()

      Returns numberOfSaves.
      Returns:
        numberOfSaves

    - #### setNumberOfSaves

          public void setNumberOfSaves(int numberofSaves)

      sets the max number of autosaves.
      Parameters:
        `numberofSaves` - the max number of autosaves

    - #### setTimerSpeed

          public void setTimerSpeed(int t)

      Set the timerSpeed.
      Parameters:
        `t` - Interval in ms

    - #### setIsSimulation

          public void setIsSimulation(boolean b)

      Set isSimulation.
      Parameters:
        `b` - boolean for for isSimulation